Lua_ExquisitePagodaRecordItem = class("Lua_ExquisitePagodaRecordItem", Lua_DragContainerItem);
function Lua_ExquisitePagodaRecordItem:ctor(p)
	self:superCall("ctor", p);
end

function Lua_ExquisitePagodaRecordItem:buildShowItem()
	self:superCall("buildShowItem");

	self.desLab = UICreate.createLabel(self.content, "", 0, 0, 200, 20, 20);
	self.desLab.overflowMethod = UILabel.Overflow.ResizeHeight;
	self.desLab.pivot = UIWidget.Pivot.TopLeft;
	self.desLab.spacingY = 10;
	self.desLab:setDepth(5);
end

function Lua_ExquisitePagodaRecordItem:setData(data)
	self.vo = data;
end

function Lua_ExquisitePagodaRecordItem:setText(val)
	self.desLab.text = val;
end

function Lua_ExquisitePagodaRecordItem:getHeight()
	return self.desLab.height;
end

function Lua_ExquisitePagodaRecordItem:onPlayerSoundClick()
	self:superCall("onPlayerSoundClick");

	local urlStr = self.desLab:getUrlByMousePos();
	if urlStr ~= nil then
		local arr = string.split(urlStr, "_");
		if arr[1] == "showItem" then
			Lua_PackUtil.showItemInfo(self.vo);
		elseif arr[1] == "playerClick" then
			Lua_ChatUtil.playerMenuPopListShow({role_id = tonumber(arr[2])});
		end
	end
end

function Lua_ExquisitePagodaRecordItem:dispose()
	self.vo = nil;
	self:superCall("dispose");
end