Lua_WorldRewardTipsWindow = class("Lua_WorldRewardTipsWindow", Lua_Window);
function Lua_WorldRewardTipsWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_WorldRewardTipsWindow";
	self.skinName = "WorldRewardTipsWindow_skin";
	self.layer = 4500;
	self.showClose = false;
	self.isClickClose = true;
end

function Lua_WorldRewardTipsWindow:showWin(param)
	local pos = Vector3(UnityEngine.Input.mousePosition.x, UnityEngine.Input.mousePosition.y, 0);
	local screenpos = UICamera.mainCamera:ScreenToWorldPoint(pos);
	local mousePosition = self.content.transform:InverseTransformPoint(screenpos);
	LuaUtil.setObjPos(self.content, mousePosition.x + 175, mousePosition.y, 0);

	self.titleLab.text = param.name;
	self.desLab.text = param.content;
	self.winBg:SetDimensions(262, 75 + self.desLab.height);
end