Lua_ChongzhiRewardsWindow = class("Lua_ChongzhiRewardsWindow", Lua_Window);
function Lua_ChongzhiRewardsWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_ChongzhiRewardsWindow";
	self.skinName = "ChongzhiRewardsWindow_skin";
end

function Lua_ChongzhiRewardsWindow:buildShowItem()
	self:superCall("buildShowItem");

	local arr = DataCenter.goodLuckDialData.getRechargeReward;
	self.rewardsList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 580, 220));
	self.rewardsList:setListCell(Lua_ChongzhiRewardsItem, 50, 580, 1);
	self.rewardsList:setLocation(0, -25, 0);
	self.rewardsList:setLuaArrayData(arr, false);

	self.rechargedNumLab.text = LanUtil.formateStr(LanUtil.getValue(140709), tostring(DataCenter.goodLuckDialData.recharge_count));
	self.freeNumLab.text = LanUtil.formateStr(LanUtil.getValue(140710), tostring(DataCenter.goodLuckDialData.free_draw_reward));
end

function Lua_ChongzhiRewardsWindow:dispose()
	if self.rewardsList ~= nil then
		self.rewardsList:dispose();
		self.rewardsList = nil;
	end
	self:superCall("dispose");
end










Lua_ChongzhiRewardsItem = class("Lua_ChongzhiRewardsItem", Lua_ListCell);
function Lua_ChongzhiRewardsItem:ctor(p)
	self:superCall("ctor", p, "ChongzhiRewardsItem_skin");
end

function Lua_ChongzhiRewardsItem:buildShowItem()
	self:superCall("buildShowItem");

	self.getLab.text = LanUtil.getValue(140716);
	self.getObj:SetActive(false);
end

function Lua_ChongzhiRewardsItem:setData(data)
	self.rechargeCountLab.text = LanUtil.formateStr(LanUtil.getValue(140711), tostring(data.rechargeNum));
	self.freeCountLab.text = LanUtil.formateStr(LanUtil.getValue(140712), tostring(data.freeCount));
	self.getObj:SetActive(data.isGet);
end

function Lua_ChongzhiRewardsItem:dispose()
	self:superCall("dispose");
end