Lua_JinJieBenefitItem = class("Lua_JinJieBenefitItem", Lua_ListCell);
function Lua_JinJieBenefitItem:ctor(p)
	self:superCall("ctor", p, "JinJieBenefitItem_skin");
end

function Lua_JinJieBenefitItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_JinJieBenefitItem:setData(data)
	self._data = data;
	if data == nil then
		return;
	end

	self.nameLab.text = data.title;
	self.giftIcon:setAltas("jinJieBenefit_atlas", "ui_jjth_icon_0" .. data.index);
	self.giftIcon:resetSize();
end

function Lua_JinJieBenefitItem:onPlayerSoundClick()
	Lua_MsgUtil.callFunc("UPDATE_BENEFIT_PANEL_CLICK", self._data);
end

function Lua_JinJieBenefitItem:onSelectionChange(val)
	self:superCall("onSelectionChange", val);

	self.selectIcon:setEnable(val);
end

function Lua_JinJieBenefitItem:dispose()
	self._data = nil;
	self:superCall("dispose");
end