Lua_RewardShowWindow = class("Lua_RewardShowWindow", Lua_ThirdSizeWindow);
function Lua_RewardShowWindow:ctor()
    self:superCall("ctor", true, 3500, true, LanUtil.getValue(8), true);

    self.w = 600;
    self.h = 360;
    self.isClickClose = true;

    self.windowName = "Lua_RewardShowWindow";
    self.skinName = "RewardShowWindow_skin";
end

function Lua_RewardShowWindow:buildShowItem()
    self:superCall("buildShowItem");

    self.rewardDrage = Lua_DragList.new(self.content,2, Vector4(0, 0, 500, 90));
    self.rewardDrage:setLocation(24, 0, 0);
    self.rewardDrage:setListCell(Lua_RewardShowItem, 90, 90, 5);
end

function Lua_RewardShowWindow:showWin(param)
    self:superCall("showWin", param);
    self.arr = Array();

    for i,v in ipairs(param.item_list) do
            local data = {};
            data.id = v.item_id;
            data.value = v.value;
            data.is_bind = v.is_bind;
            data.star = v.star;
            data.is_effect = v.is_effect;
            -- data.item_list = param.item_list;
            self.arr:add(data) ;
    end 
    self.rewardDrage:setLuaArrayData(self.arr,false)
end














Lua_RewardShowItem = class("Lua_RewardShowItem",Lua_ListCell)
function Lua_RewardShowItem:ctor(p)
    self:superCall("ctor",p);
end

function Lua_RewardShowItem:buildShowItem()
    self:superCall("buildShowItem");

    self.img = Lua_ToolImage.new(self.content);
    self.img:setDepth(5);
    self.img:setCanClick(true);
    self.img:setLocation(0,0,0)

   
end
function Lua_RewardShowItem:setData(data)

    --for i,v in ipairs(data.item_list) do
        local reward  = Lua_ToolVo.new(data.id,data.value,data.is_bind)
        -- reward.bShowItemBg = false;
        reward.star = data.star;
        reward.roundEffect = data.is_effect
        self.img.data = reward
    --end 
end