checkRequire("Lua_NumberInputItem");
Lua_SuitBuyTipsWindow  = class("Lua_SuitBuyTipsWindow",Lua_Window);
function Lua_SuitBuyTipsWindow:ctor()
	self:superCall("ctor");
	self.windowName = "Lua_SuitBuyTipsWindow";
	self.skinName = "SuitBuyTipsWindow_skin";
	self.contNum = 0;
end
function Lua_SuitBuyTipsWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.subBtn:addClickFuntion(self,self.onBuyClick);

	self.itemImg = Lua_ToolImage.new(self.content);
	self.itemImg:setDepth(3);
	self.itemImg:setLocation(-159, 113, 0);

	self.numItem = Lua_NumberInputItem.new(self.content);
	self.numItem:setDepth(3);
	self.numItem:setLocation(-58, -22);
	self.numItem:setMinMaxValue(1, 999);
	self.numItem:setAddTen(true);
	self.numItem:setWindowOffset(305, -70);

	self.numItem.owner = self;
	self.numItem.callBack = self.onNumChange;
end
function Lua_SuitBuyTipsWindow:dispose()	
	self:superCall("dispose");
end

function Lua_SuitBuyTipsWindow:showWin(param)
   	self.showData = param;
   	self.itemVo = Lua_ToolVo.createToolVo(param.id,1,0);
   	self.itemVo.star = param.star;
	self.itemImg.data = self.itemVo;
	self.itemName.text = self.itemVo.colorName;
	self.perTxt.text = "[85A8BE]"..tostring(param.money).."[-]";

	self.maxNum = 999;
	local serverLimit = 999;
	local selfLimit = 999;
	if param.wolrd_limit ~= 0 then
		serverLimit = param.wolrd_limit - param.amount;
	end
	if param.self_limit ~= 0 then
		selfLimit = param.self_limit - param.self_amount;
	end
	self.maxNum = math.min(999, serverLimit, selfLimit);

	self.moneyIcon1:setAltas(Lua_MoneyData.getMoneyIconAtlas(Lua_MoneyData.GOLD), 
			Lua_MoneyData.getIconSpByMoneyType(Lua_MoneyData.GOLD));
	self.moneyIcon2:setAltas(Lua_MoneyData.getMoneyIconAtlas(Lua_MoneyData.GOLD), 
		Lua_MoneyData.getIconSpByMoneyType(Lua_MoneyData.GOLD));
	self.numItem:setMinMaxValue(1,self.maxNum);
	self.numItem:setNum(self.maxNum);
end
function Lua_SuitBuyTipsWindow:onNumChange(val)
	local costNum = val * self.showData.money;
	if DataCenter.moneyData:isMoneyEnough(Lua_MoneyData.GOLD, costNum, false, false) == true then
		self.allTxt.text = Lua_ColorDefine.colorStr(tostring(costNum), Lua_ColorDefine.GREEN_STR);
	else
		self.allTxt.text = Lua_ColorDefine.colorStr(tostring(costNum), Lua_ColorDefine.RED_STR);
	end
end
function Lua_SuitBuyTipsWindow:onBuyClick(go)
	local costNum = self.numItem.num * self.showData.money;
	if DataCenter.moneyData:isMoneyEnough(Lua_MoneyData.GOLD, costNum, true, true) == false then
		return;
	end
	local cmd = ProtoPublic_pb.Proto10105302();
    cmd.item_index = self.showData.index - 1;
    cmd.amount = self.numItem.num;
    sendMsg(10105302, cmd);
	self:hide();
end