Lua_SuitCloundBuyPanel = class("Lua_SuitCloundBuyPanel", Lua_DisplayObject)
function Lua_SuitCloundBuyPanel:ctor(p)
	self:superCall("ctor", p, "SuitCloundBuyPanel_skin");
end

function Lua_SuitCloundBuyPanel:buildShowItem()
    self:superCall("buildShowItem");
    self.subBtn:addClickFuntion(self,self.onClick)
    self.roleBg:setUrl("/images/operationalActivities/suitcloundbuy.png");


    self.cloundtips = UICreate.createImage(self.content, "/images/operationalActivities/suit_tips.png", 0, 0, 0, 0);
	self.cloundtips:setDepth(9);
    --self.cloundtips:SetDimensions(428, 118);
    self.cloundtips:setLocation(112,-60,0)  


    self.bg:setUrl("/images/openDressCarnival/sd_bg.png");

    local avo = DataCenter.OperationalActivitiesData:getActivitiesByType(1028, 0);
    if avo == nil then
		self:hide();
	end
    DataCenter.OperationalActivitiesData:sGetOperationalActivities(avo.act_index,1028);
    if avo ~= nil then
		self.cotent = avo.content
		self.stop_tick = avo.start_tick
		self.end_tick = avo.end_tick
		self.times = avo.times
		self.actIndex = avo.act_index
	end

    local atimeStr1 =  TimeTransform.getInstance():transSeconds8(self.stop_tick,"yyyy-MM-dd HH:mm");
	local atimeStr2 =  TimeTransform.getInstance():transSeconds8(self.end_tick,"yyyy-MM-dd HH:mm");

	self.open_time.text = LanUtil.formateStr(LanUtil.getValue(127300),tostring(atimeStr1.."--"..atimeStr2));
	self.show_tips.text = LanUtil.formateStr(LanUtil.getValue(127302),tostring(self.cotent ));
    

end

function Lua_SuitCloundBuyPanel:onClick()

	Lua_WindowUtil.openWin("Lua_CloundBuyWindow");
	Lua_WindowUtil.openWin("Lua_SuitWindow", WinParam.ACTION_CLOSE);
end