Lua_RechargeRebatePanel = class("Lua_RechargeRebatePanel", Lua_DisplayObject)

function Lua_RechargeRebatePanel:ctor(p)
	self:superCall("ctor", p, "RechargeRebate_skin");
end
function Lua_RechargeRebatePanel:buildShowItem()
    self:superCall("buildShowItem");

    self.rechargeBtn:addClickFuntion(self, self.onRechargeBtnClick)

	self:addLuaEvent("UPDATE_ONEPANEL_DATA",self,self.rOneOperationalActivitiesData);

	self.rebateDragContainer = Lua_DragContainer.new(self.content, 1, Vector4(0, -203, 500, 240));
    self.rebateDragContainer:setLocation(-130, 118, 0);
    self.rebateDragContainer.uiPanel.depth = 3000;
    self.draggableRebatePanel = Lua_rebateDragPanel.new(self.rebateDragContainer);
    --self.ruleSp:addClickFuntion(self, self.onRuleSpClick)
end
function Lua_RechargeRebatePanel:onRechargeBtnClick()
    --self:hide();
    Lua_WindowUtil.openWin("Lua_ChongzhiWindow",WinParam.ACTION_OPEN, 1);
end
function Lua_RechargeRebatePanel:rOneOperationalActivitiesData()
	self.draggableRebatePanel:setText(self.first_type);
end

Lua_rebateDragPanel = class("Lua_rebateDragPanel", Lua_DragContainerItem);
function Lua_rebateDragPanel:ctor(dragContainer)
    self:superCall("ctor", dragContainer.sub);
    dragContainer:addSubContainer(self, true);
    self.dragContainer = dragContainer;
end

function Lua_rebateDragPanel:buildShowItem()
    self:superCall("buildShowItem");
    if self.ruleTxt == nil then
        self.ruleTxt = UICreate.createLabel(self.content, "", -216, -83, 455, 0, 24);
        self.ruleTxt:setDepth(3);
        self.ruleTxt.pivot = UIWidget.Pivot.TopLeft;
        self.ruleTxt.overflowMethod = UILabel.Overflow.ResizeHeight;
    end
end
function Lua_rebateDragPanel:setText(data)
	self.data = data
    if DataCenter.OperationalActivitiesData.act_detail.first_type == self.data then
        self.ruleTxt.text=DataCenter.OperationalActivitiesData.act_detail.content
        self.dragContainer:updateChildPos();
    end
end
function Lua_rebateDragPanel:updateSubPos()
    self.dragContainer:updateSubPos(0, 0, 0);
end
function Lua_rebateDragPanel:getHeight()
    return self.ruleTxt.height;
end
-- function Lua_RechargeRebatePanel:onRuleSpClick()
--     Lua_WindowUtil.openWin("Lua_RechargeRebateRuleWindow")
-- end