Lua_GroupBuyRewardShowWindow = class("Lua_GroupBuyRewardShowWindow", Lua_Window);
function Lua_GroupBuyRewardShowWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_GroupBuyRewardShowWindow";
	self.skinName = "GroupBuyRewardShowWindow_skin";
end

function Lua_GroupBuyRewardShowWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.title.text = LanUtil.getValue(160109);
	self.tipTxt.text = LanUtil.getValue(160108);

	self.rewardItem = Lua_RewardDragItem.new(self.content, 550);
	self.rewardItem.pivot = 2;
	self.rewardItem:setDepth(5);
	self.rewardItem:setLocation(-225, -55, 0);
end

function Lua_GroupBuyRewardShowWindow:showWin(param)
	self:superCall("showWin", param);

	self.rewardItem:setRewardByArray(param.rewardArr);
end

function Lua_GroupBuyRewardShowWindow:dispose()
	if self.rewardItem ~= nil then
		self.rewardItem:dispose();
		self.rewardItem = nil;
	end
	self:superCall("dispose");
end