Lua_JinJieBenefitRewardItem = class("Lua_JinJieBenefitRewardItem", Lua_ListCell);
function Lua_JinJieBenefitRewardItem:ctor(p)
	self:superCall("ctor", p);
end

function Lua_JinJieBenefitRewardItem:buildShowItem()
	self:superCall("buildShowItem");

	self.itemImage = Lua_ToolImage.new(self.content);
	self.itemImage:setDepth(5)
	self.itemImage:setScale(0.8, 0.8);
	self.itemImage:setCanClick(false);
end

function Lua_JinJieBenefitRewardItem:setData(data)
	self._data = data;
	if data == nil then
		return;
	end

	self.itemImage.data = data;
end

function Lua_JinJieBenefitRewardItem:onPlayerSoundClick(go)
	if self.itemImage.data ~= nil then
		Lua_PackUtil.showItemInfo(self.itemImage.data, false);
	elseif self.itemImage.setOutputId ~= nil then
		Lua_WindowUtil.openWin("Lua_OutputWindow", nil, self.itemImage.setOutputId);
	end
end

function Lua_JinJieBenefitRewardItem:checkOutBound(showRect)
	if self._data ~= nil then
		local rect = Lua_Rectangle.new(self.itemX + 37, self.itemY, 74, 0);
		self.itemImage:showRoundEff(self._data.show_effect == 1 and showRect:containeRect(rect));
	end
end

function Lua_JinJieBenefitRewardItem:dispose()
	if self.itemImage ~= nil then
		self.itemImage:dispose();
		self.itemImage = nil;
	end
	self._data = nil;

	self:superCall("dispose");
end