Lua_LuckySignRecordItem = class("Lua_LuckySignRecordItem", Lua_DragContainerItem);
function Lua_LuckySignRecordItem:ctor(p)
    self:superCall("ctor", p);
end

function Lua_LuckySignRecordItem:buildShowItem()
    self:superCall("buildShowItem");
    self._height = 0;
    self.label = UICreate.createLabel(self.content, "", -103, 0, 360, 30, 24);
    self.label.overflowMethod = UILabel.Overflow.ResizeHeight;
    self.label.pivot = UIWidget.Pivot.TopLeft;
    self.label.spacingY = 10;
    self.label:setDepth(5);
end

function Lua_LuckySignRecordItem:dispose()
    self.vo = nil;
    self._height = 0;
    self:superCall("dispose");
end

function Lua_LuckySignRecordItem:getHeight()
    return self._height+10;
end

function Lua_LuckySignRecordItem:setData(data)
    self.data = data;
    self.data = data;
    if self.data ~= nil then
        self.vo = Lua_ToolVo.createToolVo(tonumber(self.data.proto_item.id));
        self.vo:fromServer(self.data.proto_item);
        if self.vo ~= nil then
            local nameStr = "[url=playerClick_" .. self.data.role_id .. "]" .."[u]"..self.data.role_name .."[/u][/url]";
            local str = "[url=showItem_" .. self.data.proto_item.id .. "]" .."[u]".. self.vo.colorName .. "[/u][/url]";
            if tonumber(tostring(self.data.draw_tick)) == 0 then
                self.label.text = LanUtil.formateStr(LanUtil.getValue(145404), nameStr, str);
            else
                self.label.text = LanUtil.formateStr(LanUtil.getValue(145405), nameStr, str);
            end
        end
    end
    self._height = self.label.height;
end


function Lua_LuckySignRecordItem:onPlayerSoundClick()
    self:superCall("onPlayerSoundClick");
    local urlStr = self.label:getUrlByMousePos();
    if urlStr ~= nil then
        local arr = string.split(urlStr, "_");
        if arr[1] == "showItem" then
            Lua_PackUtil.showItemInfo(self.vo);
        elseif arr[1] == "playerClick" then
            Lua_ChatUtil.playerMenuPopListShow({role_id = tonumber(arr[2])});
        end
    end
end