Lua_BigRewardItem = class("Lua_BigRewardItem",Lua_ListCell)
function Lua_BigRewardItem:ctor(p)
	self:superCall("ctor", p);
end

function Lua_BigRewardItem:buildShowItem()
	self:superCall("buildShowItem");

	self.itemImg = Lua_ToolImage.new(self.content);
	self.itemImg:setDepth(5);
	self.itemImg:setScale(0.85, 0.85, 0.85);
	self.itemImg:setCanClick(true);
end

function Lua_BigRewardItem:setData(data)
	self._data = data
	if data == nil then
		return;
	end

	local tvo  = Lua_ToolVo.new(tonumber(data.item_id), data.value, data.is_bind);
	tvo.star = data.star;
	tvo.roundEffect = data.is_effect;
	tvo.packType = 999;
	self.itemImg.data = tvo;
end