Lua_RecordItem = class("Lua_RecordItem", Lua_DragContainerItem);
function Lua_RecordItem:ctor(p)
	self:superCall("ctor", p);
end

function Lua_RecordItem:getHeight()
	return self._height;
end

function Lua_RecordItem:buildShowItem()
	self:superCall("buildShowItem");
	self._height = 0;
	self.label = UICreate.createLabel(self.content, "aaaa", 0, 0, 275, 30, 18);
	self.label.pivot = UIWidget.Pivot.TopLeft;
	self.label:setLocation(0,0,0);
    self.label.spacingY = 10;
    self.label:setDepth(5);
	self.label.overflowMethod = UILabel.Overflow.ResizeHeight;
end
function Lua_RecordItem:setText(val)
	self.label.text = val;
	self._height = self.label.height;
end

function Lua_RecordItem:onPlayerSoundClick()
	self:superCall("onPlayerSoundClick");
	local urlStr = self.label:getUrlByMousePos();
    if urlStr ~= nil then
        local arr = string.split(urlStr, "_");
        if arr[1] == "showItem" then
            Lua_PackUtil.showItemInfo(self.vo);
        elseif arr[1] == "playerClick" then
            Lua_ChatUtil.playerMenuPopListShow({role_id = tonumber(arr[2])});
        end
    end
end

function Lua_RecordItem:onClickDescTxt(go)
    -- if self.vo ~= nil then
    --     Lua_PackUtil.showItemInfo(self.vo);
    -- end
end
function Lua_RecordItem:setData(vo)
    self.vo = vo;
    
    -- Lua_PackUtil.showItemInfo(self.vo[1]);
end
