--合服秒杀
checkRequire("Lua_SuitSecKillItem") 


Lua_SuitSecKillPanel = class("Lua_SuitSecKillPanel", Lua_DisplayObject)
function Lua_SuitSecKillPanel:ctor(p)
	self:superCall("ctor", p, "SuitSecKillPanel_skin");
end

function Lua_SuitSecKillPanel:buildShowItem()
    self:superCall("buildShowItem");

    self.roleImg:setUrl("/images/common/ui_hefumiaosha.png");
	self.roleImg:SetDimensions(230, 418);
	self.roleImg:setLocation(-375, -2, 0);
    
    self.tipImage:setEnable(false);
    self.dragList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 650, 360));
    self.dragList:setLocation(94, 3, 0);
    self.dragList:setListCell(Lua_SuitSecKillItem, 125, 322, 2);

    self.subBtn:addClickFuntion(self, self.onClickPreview)
    self.end_time.text = "";
	self.subBtn:setEnable(false);
    sendMsg(10105301);
    self:addLuaEvent("GET_SUITINFO", self, self.onGetSuitIngo);
    self.wenhao:addClickFuntion(self, self.onHelpClick)
end

function Lua_SuitSecKillPanel:onClickPreview()
	
	Lua_WindowUtil.openWin("Lua_SuitSecKillPreviewWindow", nil, self.infoMsg);

end

function Lua_SuitSecKillPanel:onHelpClick()

	Lua_WindowUtil.openWin("Lua_RuleTipWindow", WinParam.ACTION_AUTO, self.infoMsg.content);

end

function Lua_SuitSecKillPanel:onGetSuitIngo(o)
	self.infoMsg = o;

	self.arr =Array();
	for i,v in ipairs(o.cur_shop_list) do
		local data = {};
		data.id = v.item_id;
		data.index = i;
		if tonumber(v.origin_price.copper) ~= 0 and  tonumber(v.origin_price.copper) ~= nil then
			data.origin_price = tonumber(v.origin_price.copper);  --原价
		end
		if tonumber(v.origin_price.gold) ~= 0 and  tonumber(v.origin_price.gold) ~= nil then
			data.origin_price = tonumber(v.origin_price.gold);  --原价
		end
		if tonumber(v.origin_price.bind_gold) ~= 0 and  tonumber(v.origin_price.bind_gold) ~= nil then
			data.origin_price = tonumber(v.origin_price.bind_gold);  --原价
		end
		if tonumber(v.origin_price.bind_copper) ~= 0 and  tonumber(v.origin_price.bind_copper) ~= nil then
			data.origin_price = tonumber(v.origin_price.bind_copper);  --原价
		end
		

		if tonumber(v.money.copper) ~= 0 and  tonumber(v.money.copper) ~= nil then
			data.money = tonumber(v.money.copper);  --原价
		end
		if tonumber(v.money.gold) ~= 0 and  tonumber(v.money.gold) ~= nil then
			data.money = tonumber(v.money.gold);  --原价
		end
		if tonumber(v.money.bind_gold) ~= 0 and  tonumber(v.money.bind_gold) ~= nil then
			data.money = tonumber(v.money.bind_gold);  --原价
		end
		if tonumber(v.money.bind_copper) ~= 0 and  tonumber(v.money.bind_copper) ~= nil then
			data.money = tonumber(v.money.bind_copper);  --原价
		end
		data.wolrd_limit = v.wolrd_limit;   -- 全服限制
		data.self_limit = v.self_limit;	 -- 个人限制
		data.amount = v.amount;   -- 全服已购买数量
		data.self_amount = v.self_amount;	 -- 自己购买数量
		data.discount = v.discount;   -- 折扣
		data.effect = v.effect;	 -- 个人限制
		data.star = v.star;      -- 星级
		data.second_show = v.second_show;  -- 是否显示秒杀
		data.bind = v.bind;
		self.arr:add(data);
	end
    if self.arr:getSize() > 0 then
    	self.dragList:setLuaArrayData(self.arr, false);
    	self.dragList:setEnable(true);
    	self:showTipsImage(false);
    else
    	self.dragList:setEnable(false);
    	self:showTipsImage(true);
    end
	
	if self.nextTick == nil then
		self.nextTick = tonumber(self.infoMsg.next_tick);
		if self.infoMsg.next_tick ~= nil then
			self:nextTimeTimer()
			Lua_CommonUtil.addTimer("eTimeStrTimer", 0.3, self, self.nextTimeTimer, nil, -1);	
		end
	end

	if self.nextTick > 0 then
		self.open_time:setLocation(-169.6, -196.8, 0);
	else
		self.open_time:setLocation(-169.6, -216, 0);
	end

	self.endTick = tonumber(self.infoMsg.end_tick);

	self:endTimeTimer()
	Lua_CommonUtil.addTimer("endTimeTimer", 0.3, self, self.endTimeTimer, nil, -1);
end

function Lua_SuitSecKillPanel:showTipsImage(val)
	if val == true then
		self.tipImage:setEnable(true);
	else
		self.tipImage:setEnable(false);
	end
end

function Lua_SuitSecKillPanel:nextTimeTimer()
	local vt = self.nextTick - tonumber(tostring(GlobalVar.cur_tick));
	if vt > 0 then
		local end_tick = TimeTransform.getInstance():transSeconds1(vt, true)
		self.end_time.text = LanUtil.formateStr(LanUtil.getValue(122595), tostring(end_tick));
		self.subBtn:setEnable(true);
	else
		self.end_time.text = "";
		self.subBtn:setEnable(false);
		Lua_CommonUtil.removeTimer(self, self.nextTimeTimer)
	end
end

function Lua_SuitSecKillPanel:endTimeTimer()	
	local pt = self.endTick - tonumber(tostring(GlobalVar.cur_tick))
	if pt > 0 then
		local end_tick = TimeTransform.getInstance():transSeconds1(pt, true)
		self.open_time.text = LanUtil.formateStr(LanUtil.getValue(122594), tostring(end_tick));
	else
		Lua_CommonUtil.removeTimer(self, self.endTimeTimer)
	end
end

function Lua_SuitSecKillPanel:dispose()
	self:superCall("dispose");
	Lua_CommonUtil.removeTimer(self, self.nextTimeTimer)
	Lua_CommonUtil.removeTimer(self, self.endTimeTimer)
	self.nextTick = nil;
	self.endTick = nil;
end